Page MenuHomePhabricator

Difference between timestamps in signature and site interface (due to edit stashing)
Closed, ResolvedPublic

Description

See https://de.wikipedia.org/w/index.php?title=Benutzerin_Diskussion:Mushushu&diff=136870124&oldid=136859117

The edit shows 17:15 (CET) as timestamp, which is 3 minutes earlier than the actual time it was saved and seems like the time the edit was stashed.

Event Timeline

Schnark created this task.Dec 18 2014, 8:24 AM
Schnark raised the priority of this task from to Needs Triage.
Schnark updated the task description. (Show Details)
Schnark changed Security from none to None.
Schnark added subscribers: Schnark, aaron, 32X.
Rillke added a subscriber: Rillke.Dec 18 2014, 3:30 PM
Se4598 added a subscriber: Se4598.Dec 18 2014, 11:58 PM
Aklapper triaged this task as Medium priority.Dec 19 2014, 3:09 PM

edit stashing must/should ignore wikitext with time-depending things getting substituted, like all the time variables (LOCAL*/CURRENT*), parser function #time/#timel and signature (~~~/~~~~~) to avoid the difference between the timestamp of the pre-save transformed wikitext and the timestamp of the revision in the database.

Elitre added a subscriber: Elitre.Dec 20 2014, 3:51 PM
MBH renamed this task from Edits that were created using StashEdit API show wrong timestamp to Difference between timestamps in signature and site interface..Feb 27 2015, 2:24 PM

@MaxBioHazard: Contentless pings or bumps are not very effective. What do you ask for, and to who?

matmarex renamed this task from Difference between timestamps in signature and site interface. to Difference between timestamps in signature and site interface (due to edit stashing).May 30 2015, 3:13 PM

Change 363753 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] Avoid high edit stash TTLs when a user signature was used

https://gerrit.wikimedia.org/r/363753

Change 363753 merged by jenkins-bot:
[mediawiki/core@master] Avoid high edit stash TTLs when a user signature was used

https://gerrit.wikimedia.org/r/363753

Krinkle closed this task as Resolved.Jul 11 2017, 2:08 AM
Krinkle assigned this task to aaron.
Krinkle removed a project: Patch-For-Review.